#!/bin/bash

set +h

source "${PKG_META_DIR}/identity"

LOG_DIR="${DPM_PKG_LOG}/${DPM_PKG_LOG_SUBDIR}/${DPM_PKG_NAME}-${DPM_PKG_VERSION}-${DPM_PKG_RELEASE}.${DPM_PKG_ARCH}"
install -m 755 -d "$LOG_DIR" &&

{
if [ -d "${DPM_FS_PKG}/usr/share/man" ]; then
 find "${DPM_FS_PKG}"/usr/share/man ! -type d -print0 |
  {
   while read -d "" v_file; do
    [ -f "$v_file" ] && [[ "$v_file" == *.gz ]] && gunzip -q "$v_file" && xz -9q "${v_file%.gz}"
    [ -f "$v_file" ] && [[ "$v_file" == *.bz2 ]] && bunzip2 -q "$v_file" && xz -9q "${v_file%.bz2}"
    if [ -h "$v_file" ]; then
     symval="`readlink "$v_file"`"
     [[ ! "$symval" == *.xz ]] && symval="${symval}.xz" && rm -f "$v_file" && ln -fs "${symval}" "$v_file"
    fi
    [ -f "$v_file" ] && xz -9 "$v_file"
   done
  }
fi

if [ -d "${DPM_FS_PKG}/usr/share/info" ]; then
 find "${DPM_FS_PKG}/usr/share/info" -mindepth 1 -name "*info*" ! -type d -print0 |
  {
   while read -d "" v_file; do
    [ -f "$v_file" ] && [[ "$v_file" == *.gz ]] && gunzip -q "$v_file" && xz -9q "${v_file%.gz}"
    [ -f "$v_file" ] && [[ "$v_file" == *.bz2 ]] && bunzip2 -q "$v_file" && xz -9q "${v_file%.bz2}"
    [ -f "$v_file" ] && xz -9 "$v_file"
   done 
  }
fi
true
} &> "${LOG_DIR}/ac1"

